import os
import sys
from pathlib import Path

from loguru import logger


# Пути к файлам
core_path = './src/core/core.py'
metadata_path = './win/metadata.yml'
metadata_path_txt = './win/version_file.txt'
build_json_path = './win/build.json'

# Настройки сборки
main = 'src/main.py'
product_name = "None"   # Читается из metadata
icon = ""               # Читается из metadata
splash = ""             # Читается из metadata
data = []

path_fix = os.path.abspath(os.path.dirname(__file__)) + "/../../"

contents_directory= "."
optimize=2
disable_windowed_traceback=True
admin=False

build_dir = 'win/build'
os.makedirs(build_dir, exist_ok=True)
distpath = f'{build_dir}/dist/'
workpath = f'{build_dir}/build/'
specpath = f'{build_dir}'

win_dir = Path('win')

dist_dir = win_dir / 'output'
sha_file = dist_dir / 'latest.json'
latest_dir = dist_dir / 'latest'
patch_dir = 'win/output/Patch {old_ver}-{new_ver}'
patch_file = 'win/output/Patch {old_ver}-{new_ver}/patch.json'

log_dir = win_dir / 'logs'
log_file = log_dir / 'latest.log'
os.makedirs(log_dir, exist_ok=True)
os.remove(log_file) if log_file.exists() else None
logger.remove()
fmt = "<green>{elapsed}</green> {message}"
logger.add(sys.stdout, level="INFO", format=fmt)
logger.add(log_file, level="INFO", format=fmt)

os.makedirs(latest_dir, exist_ok=True)
